<?php
/*------------------------------------------------------------------------
# com_zhgooglemap - Zh GoogleMap
# ------------------------------------------------------------------------
# author:    Dmitry Zhuk
# copyright: Copyright (C) 2011 zhuk.cc. All Rights Reserved.
# license:   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
# website:   http://zhuk.cc
# Technical Support Forum: http://forum.zhuk.cc/
-------------------------------------------------------------------------*/
namespace ZhukDL\Component\ZhGoogleMap\Site\View\Placemark;


// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;

class HtmlView extends BaseHtmlView {


    protected $item;
    protected $state;
	
	protected $mapapikey4map;
	protected $mapscriptheader;
	protected $mapscript;
    
    /**
     * display method of ZhGoogle Placemark view
     * @return void
     */
    public function display($tpl = null) 
    {


        $this->item = $this->get('Item');
		$this->state = $this->get('State');
  
        $this->mapapikey4map = $this->get('MapAPIKey');
		
        $this->mapscriptheader = $this->get('MapScriptHeader');
        
        $this->mapscript = $this->get('MapScript');      
        

        // Display the template
        parent::display($tpl);


    }

}
